### Method

# Gtk Svg set_state

since: 4.22

#### Declaration [src]

    void
    gtk_svg_set_state (
      GtkSvg* self,
      unsigned int state
    )

#### Description [src]

Sets the state of the paintable.

If the paintable is currently playing, the state change will apply transitions that are defined in the SVG. If the paintable is not playing, the state change will take effect instantaneously.

Available since: 4.22

Sets property | `Gtk.Svg:state`

#### Parameters

`state`

  Type: `unsigned int`

  The state to set, as a value between 0 and 63.